> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/farm-settings/mailbox.md).

# Mailbox

## Get

> Retrieves Parallels RAS mailbox settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MailboxSettings":{"get":{"tags":["1-Farm settings//Mailbox"],"summary":"Get","description":"Retrieves Parallels RAS mailbox settings.","operationId":"c1296dcc-f7c7-426f-8452-2b4255443aaf","responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RASMailboxSettings"}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASMailboxSettings":{"type":"object","properties":{"useTLS":{"$ref":"#/components/schemas/MailboxTLS"},"requireAuth":{"type":"boolean"},"smtpServer":{"type":"string","nullable":true},"senderAddress":{"type":"string","nullable":true},"username":{"type":"string","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Mailbox</para>\r\n<para type=\"description\"></para>"},"MailboxTLS":{"enum":[["0 = No","1 = Yes","2 = YesIfAvailable","3 = YesTLS12IfAvailable","4 = YesTLS13IfAvailable"]],"type":"string","description":"<para type=\"synopsis\">Use TLS / SSL (for Mailbox)</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Modifies Parallels RAS mailbox settings.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/MailboxSettings":{"put":{"tags":["1-Farm settings//Mailbox"],"summary":"Update","description":"Modifies Parallels RAS mailbox settings.","operationId":"3b0668c3-516a-4824-9ad8-451b364bf10a","requestBody":{"description":"Modifies the Parallels RAS mailbox configuration settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetMailboxSettings"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetMailboxSettings":{"type":"object","properties":{"smtpServer":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">SMTP server name. Example: \"mail.yourcompany.com:500\"</para>","nullable":true},"senderAddress":{"type":"string","description":"<para type=\"description\">Sender email address.</para>","nullable":true},"username":{"maxLength":255,"minLength":0,"type":"string","description":"<para type=\"description\">SMTP server user name.</para>","nullable":true},"password":{"type":"string","description":"<para type=\"description\">SMTP server password.</para>","nullable":true},"requireAuth":{"type":"boolean","description":"<para type=\"description\">Set whether SMTP server requires authentication.</para>","nullable":true},"useTLS":{"$ref":"#/components/schemas/MailboxTLS"}},"additionalProperties":false},"MailboxTLS":{"enum":[["0 = No","1 = Yes","2 = YesIfAvailable","3 = YesTLS12IfAvailable","4 = YesTLS13IfAvailable"]],"type":"string","description":"<para type=\"synopsis\">Use TLS / SSL (for Mailbox)</para>\r\n<para type=\"description\"></para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/v21/api-reference/farm-settings/mailbox.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
